<template>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title">{{ $t('about') }}</p>
    </header>
    <section class="modal-card-body">
      <div class="content what-is-this">
        <vue-markdown
          :source="whatIs"
          :anchor-attributes="{ target: '_blank' }"
        />
      </div>
    </section>
    <footer class="modal-card-foot">
      <a class="button" @click="$parent.close()">{{ $t('close') }}</a>
    </footer>
  </div>
</template>

<script>
import VueMarkdown from 'vue-markdown'
import whatIsEn from '~/lang/what-is_en.md'
import whatIsCa from '~/lang/what-is_ca.md'

export default {
  name: 'AboutModal',
  components: {
    VueMarkdown
  },
  data: function() {
    const whatIs = this.$i18n.locale === 'en' ? whatIsEn : whatIsCa
    return { whatIs: whatIs }
  }
}
</script>

<style scoped>
.what-is-this {
  text-align: left;
}
</style>
